{ pkgs ? import <nixpkgs> { config = { }; overlays = [ ]; } }:
let
  tex = pkgs.texlive.combine {
    inherit (pkgs.texlive)

      scheme-small
      latexmk

      ;
  };

  gitignoreSource = pkgs.nix-gitignore.gitignoreFilterSourcePure (_: _: true);

in
pkgs.stdenv.mkDerivation rec {

  name = "document";

  src = gitignoreSource ./.gitignore ./.;

  buildInputs = [
    tex
  ];

  buildPhase = "make";

  # meta = with lib; {
  #   description = "Description";
  #   licenses = licenses.nonfree;
  #   author = "Name <email>";
  # };
}
